<!--
 Copyright (c) 2014, 2017, Oracle and/or its affiliates.
 The Universal Permissive License (UPL), Version 1.0
 -->
 
<section id="main" class="wrapper">
	<div class="inner">
		<header class="align-left">
			<h1><img src="./images/list.png" width="32px" height="32px" style="vertical-align: middle;"/>
			Form Application View - <span data-bind="text: formID"></span></h1>
			<h3><span data-bind="text: subTitle"></span></h3>
			<hr/>
		</header>
		
		<div class="row">
			<div class="12u$ 12u$(medium)">
				<span id="status"></span>
			</div>
			<div class="4u$ 12u$(small)">
				<a href="#" class="button default fit small" data-bind="click: xmlButtonAction">View XML</a>
			</div>
			<div class="12u$ 12u$(medium)">
				<table border="1px" class="report-table">
					<tr>
						<td rowspan='2' style="width:30%"><strong>Applicant's Name and Address</strong><br/><span data-bind="text: applicant_name"></span><br/><span data-bind="text: applicant_address"></span></td>
						<td nowrap><strong>Applicant RC Number</strong><br/><span data-bind="text: applicant_rc_number"></span></td>
						<td nowrap><strong>Applicant TIN</strong><br/><span data-bind="text: applicant_taxid"></span></td>
						<td nowrap><strong>Applicant Phone Number</strong><br/><span data-bind="text: applicant_phoneno"></span></td>
					</tr>
					<tr>
						<td nowrap><strong>Applicant FAX</strong><br/><span data-bind="text: applicant_fax"></span></td>
						<td nowrap><strong>Applicant Account Number</strong><br/><span data-bind="text: applicant_account_no"></span></td>
						<td nowrap><strong>Applicant Email</strong><br/><span data-bind="text: applicant_email"></span></td>
					</tr> 
					<tr class="thick-top">
						<td rowspan='2'><strong>Beneficiary's Name and Address</strong><br/><span data-bind="text: beneficiary_name"></span><br/><span data-bind="text: beneficiary_address"></span></td>
						<td><strong>Applicant State Code and Name</strong><br/><span data-bind="text: applicant_statecode"></span>&nbsp;&nbsp;<span data-bind="text: applicant_statedesc"></span></td>
						<td><strong>Beneficiary Phone</strong><br/><span data-bind="text: beneficiary_phoneno"></span></td>
						<td><strong>Beneficiary FAX</strong><br/><span data-bind="text: beneficiary_fax"></span></td>
					</tr>
					<tr>
						<td colspan='3' ><strong>Beneficiary Email</strong><br/><span data-bind="text: beneficiary_email"></span></td>
					</tr>
					<tr class="thick-top">
						<td rowspan='1'><strong>General Description of Goods</strong><br/><span data-bind="text: general_description"></span></td>
						<td><strong>Net Weight</strong><br/><span data-bind="text: net_weight"></span></td>
						<td><strong>Gross Weight</strong><br/><span data-bind="text: ''"></span></td>
						<td><strong>Total Number of Items</strong><br/><span data-bind="text: no_of_goods"></span></td>
					</tr>
				</table>
				<table border="1px" class="report-table" id="itemTable">
					<tr class="thick-top">
						<td colspan="13"><strong>ITEMS</strong></td>
					</tr>
					
					<tr> 
						<td rowspan='2'><strong>No.</strong></td>
						<td rowspan='2' nowrap><strong>HS Code</strong></td>
						<td rowspan='2'><strong>Description of Goods</strong></td>
						<td rowspan='2'><strong>St. of Goods</strong></td>
						<td rowspan='2'><strong>Sectoral Purpose</strong></td>
						<td colspan='2'><strong>Packages</strong></td>
						<td rowspan='2'><strong>Net W. (kg)</strong></td>
						<td colspan='2'><strong>Unit Measures</strong></td>
						<td rowspan='2'><strong>Unit Price (USD)</strong></td>
						<td rowspan='2'><strong>FOB Value (USD)</strong></td>
						<td rowspan='2'><strong>Freight Charge (USD)</strong></td>
					</tr>
					<tr>
						<td><strong>Qty</strong></td>
						<td><strong>Type</strong></td>
						<td><strong>Qty</strong></td>
						<td><strong>Type</strong></td>
					</tr>
					<!-- check templqte below -->
					
				</table>
				<table border="1px" class="report-table">
					<tr class="thick-top">
						<td><div><strong>Total FOB Value</strong></div><div class='go-left'><span data-bind="text: total_fob_value"></span></div></td>
						<td nowrap><strong>Total Freight Charges</strong><br/><span data-bind="text: total_freight_charge"></span></td>
						<td nowrap><strong>Total Ancillary Charges</strong><br/><span data-bind="text: ancilary_charge"></span></td>
						<td nowrap><strong>Insurance Value</strong><br/><span data-bind="text: insurance_value"></span></td>
					</tr>
					<tr>
						<td nowrap><strong>Total C&amp;F Value in Figure</strong><br/><span data-bind="text: total_cf_value"></span></td>
						<td><strong>Source of Funds</strong><br/><span data-bind="text: fund_source"></span></td>
						<td><strong>Currency Code</strong><br/><span data-bind="text: currency_code"></span></td>
						<td><strong>Exchange Rate</strong><br/><span data-bind="text: exchange_rate"></span></td>
						
					</tr>
					<tr>
						<td><strong>Proforma Inv. No.</strong><br/><span data-bind="text: proforma_invoice_no"></span></td>
						<td colspan='2'><strong>Proforma Invoice Date</strong><br/><span data-bind="text: proforma_invoice_date"></span></td>
						<td><strong>Payment Date</strong><br/><span data-bind="text: payment_date"></span></td>
					</tr>
					<tr>
						<td colspan='2'><strong>Payment Mode</strong><br/><span data-bind="text: payment_mode"></span></td>
						<td><strong>Transfer Mode</strong><br/><span data-bind="text: transfer_mode"></span></td>
						<td><strong>TOD</strong><br/><span data-bind="text: delivery_term"></span></td>
					</tr>
					<tr>
						<td><strong>Mode of Transport</strong><br/><span data-bind="text: shipment_mode"></span></td>
						<td><strong>Country of Origin</strong><br/><span data-bind="text: country_of_origin"></span></td>
						<td><strong>Country of Supply</strong><br/><span data-bind="text: country_of_supply"></span></td>
						<td><strong>Shipment Date</strong><br/><span data-bind="text: shipment_date"></span></td>
					</tr>
					<tr>	
						<td><strong>Port of Discharge</strong><br/><span data-bind="text: actual_port_discharge"></span></td>
						<td><strong>Port of Loading</strong><br/><span data-bind="text: actual_port_loading"></span></td>
						<td colspan='2'><strong>Customs Office</strong><br/><span data-bind="text: customs_office"></span></td>
					</tr>
					<tr class="thick-top">
						<td colspan='2'><strong>Designated Bank</strong><br/><span data-bind="text: 'FCMB Group'"></span></td>
						<td colspan='2'><strong>Inspection Agent</strong><br/><span data-bind="text: inspection_agent"></span></td>
					</tr>
				</table>
				<br/>
				<table border="1px" class="report-table">
					<tr class="thick-top">
						<td><strong>Data Entry By:</strong></td>
						<td><strong>Create Date</strong><br/><span data-bind="text: create_date"></span></td>
						<td><strong>Application Status</strong><br/><span data-bind="text: status"></span></td>
					</tr>
				</table>
				<p>&nbsp;</p>
			</div>
			<div id="cbnDv" class="12u$ 12u$(medium)">
				<div class="row uniform">
					<div class="12u$ 12u$(small)">
						<div class="error-message red"><span data-bind="text: xmlMessage"></span></div>
					</div>
					<div class="4u 12u$(small)">
						<oj-label for="txtAppNo">Application Number</oj-label>
						<oj-input-text placeholder='Approved Application Number' id="txtAppNo"  inputmode="text"
										value="{{input_ApplicationNo}}" style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<oj-label for="txtFormMNo">Form M Number</oj-label>
						<oj-input-text placeholder='Approved Form M Number' id="txtFormMNo"  inputmode="text"
										value="{{input_FormMNo}}" style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u$ 12u$(small)">
						<oj-label for="txtDate">Validity Date</oj-label>
						<oj-input-date id="txtDate" value="{{input_ValidityDate}}" converter=[[dateConverter]]></oj-input-date>
					</div>
					<div class="12u$ 12u$(small)">
						&nbsp;
					</div>
				</div>
			</div>
			
			<div id="dvButton" class="12u$ 12u$(medium)">
				<div class="row uniform">
					
					
					<div class="4u 12u$(small)">
						<a href="#" class="button special fit small" data-bind="click: saveButtonAction"><span data-bind="text: saveButtonText"></span></a>
						<input type='hidden' name='actionType' id='actionType' data-bind="value: actionType"/>
					</div>
					<div class="4u 12u$(small)">
						<a href="#" class="button special fit small" data-bind="click: rejectButtonAction"><span data-bind="text: rejectButtonText"></span></a>
					</div>
					
					
				</div>
			</div>
			
		</div>
	</div>
	
	<div style="display:none">
					<tr id="item_template">
						<td>TEMP_SN</td>
						<td nowrap>TEMP_HSCODE</td>
						<td>TEMP_DESC</td>
						<td>TEMP_STATEOFGOODS</td>
						<td>TEMP_SEC_PURPOSE</td>
						<td>TEMP_P_QTY</td>
						<td>TEMP_P_TYPE</td>
						<td>TEMP_NET</td>
						<td>TEMP_M_QTY</td>
						<td>TEMP_M_TYPE</td>
						<td>TEMP_PRICE</td>
						<td>TEMP_FOB</td>
						<td>TEMP_FREIGHT</td>
					</tr>
	</div>
</section>


